﻿using PTMIBase.Entity.Interfaces.Common;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Reflection;
using System.Text;
using System.Threading.Tasks;
using System.IO;

namespace PTMedicalInsurance.Demo.Entity.Structs
{
    struct CurrentEnvironment : ICurrentEnvironment
    {
        private string _path;

        public string Path
        {

            get
            {
                // 如果 _path 为空字符串，则返回当前程序集所在的目录
                if (string.IsNullOrEmpty(_path))
                {
                    return System.IO.Path.GetDirectoryName(Assembly.GetExecutingAssembly().Location);
                }
                else
                {
                    return _path;
                }
            }
            set
            {
                // 设置 _path 的值
                _path = value;
            }
        }
        public string Mac { get; set; }
        public string Ip { get; set; }
        public string SignNo { get; set; }
        public string MsgId { get; set; }
        public string URL { get; set; }
    }
}
