﻿using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data.Linq.Mapping;
using PTMIBase.Entity;
namespace DongGuanWI.Entity.Inpatient
{
    class ChangeAdmissionRegistrationInput:EntityBase
    {
        /// <summary>
        /// 交易号
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "function_id", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "交易号不能为空")]
        [StringLength(20, ErrorMessage = "交易号长度不能超过20个字符")]
        public string function_id { get; set; }

        /// <summary>
        /// 医疗机构编码
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "akb020", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "医疗机构编码不能为空")]
        [StringLength(20, ErrorMessage = "医疗机构编码长度不能超过20个字符")]
        public string akb020 { get; set; }

        /// <summary>
        /// 就医登记号
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "aaz218", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "就医登记号不能为空")]
        [StringLength(20, ErrorMessage = "就医登记号长度不能超过20个字符")]
        public string aaz218 { get; set; }

        /// <summary>
        /// 病区编码
        /// 类型：string, 长度：10, 不允许为空
        /// </summary>
        [Column(Name = "bka021", Storage = null, DbType = "VarChar(10)", CanBeNull = false)]
        [Required(ErrorMessage = "病区编码不能为空")]
        [StringLength(10, ErrorMessage = "病区编码长度不能超过10个字符")]
        [DisplayName("病区编码")]
        public string bka021 { get; set; }

        /// <summary>
        /// 病区名称
        /// 类型：string, 长度：30, 不允许为空
        /// </summary>
        [Column(Name = "bka022", Storage = null, DbType = "VarChar(30)", CanBeNull = false)]
        [Required(ErrorMessage = "病区名称不能为空")]
        [StringLength(30, ErrorMessage = "病区名称长度不能超过30个字符")]
        public string bka022 { get; set; }

        /// <summary>
        /// 就诊科室编码
        /// 类型：string, 长度：10, 不允许为空
        /// </summary>
        [Column(Name = "bka019", Storage = null, DbType = "VarChar(10)", CanBeNull = false)]
        [Required(ErrorMessage = "就诊科室编码不能为空")]
        [StringLength(10, ErrorMessage = "就诊科室编码长度不能超过10个字符")]
        public string bka019 { get; set; }

        /// <summary>
        /// 就诊科室名称
        /// 类型：string, 长度：30, 不允许为空
        /// </summary>
        [Column(Name = "bka020", Storage = null, DbType = "VarChar(30)", CanBeNull = false)]
        [Required(ErrorMessage = "就诊科室名称不能为空")]
        [StringLength(30, ErrorMessage = "就诊科室名称长度不能超过30个字符")]
        public string bka020 { get; set; }

        /// <summary>
        /// 住院号
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "bka025", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "住院号不能为空")]
        [StringLength(20, ErrorMessage = "住院号长度不能超过20个字符")]
        public string bka025 { get; set; }

        /// <summary>
        /// 入院床位号
        /// 类型：string, 长度：10, 不允许为空
        /// </summary>
        [Column(Name = "bka023", Storage = null, DbType = "VarChar(10)", CanBeNull = false)]
        [Required(ErrorMessage = "入院床位号不能为空")]
        [StringLength(10, ErrorMessage = "入院床位号长度不能超过10个字符")]
        public string bka023 { get; set; }

        /// <summary>
        /// 医师编号
        /// 类型：string, 长度：20, 默认可空
        /// </summary>
        [Column(Name = "bka503", Storage = null, DbType = "VarChar(20)", CanBeNull = true)]
        [StringLength(20, ErrorMessage = "医师编号长度不能超过20个字符")]
        public string bka503 { get; set; }

        /// <summary>
        /// 住院原因
        /// 类型：string, 长度：10, 默认可空
        /// 工伤业务不需要考虑此字段内容
        /// </summary>
        [Column(Name = "ykc679", Storage = null, DbType = "VarChar(10)", CanBeNull = true)]
        [StringLength(10, ErrorMessage = "住院原因长度不能超过10个字符")]
        public string ykc679 { get; set; }

        /// <summary>
        /// 补助类型
        /// 类型：string, 长度：10, 默认可空
        /// 工伤业务不需要考虑此字段内容
        /// </summary>
        [Column(Name = "ykc680", Storage = null, DbType = "VarChar(10)", CanBeNull = true)]
        [StringLength(10, ErrorMessage = "补助类型长度不能超过10个字符")]
        public string ykc680 { get; set; }
    }
}
