﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data.Linq.Mapping;
using PTMIBase.Entity;

namespace DongGuanWI.Entity.Outpatient
{
    class GetBusinessInfoOfChargeInput: EntityBase
    {
        /// <summary>
        /// 交易号
        /// 类型：string, 长度：20, 不允许为空
        /// 备注：标识每笔交易的唯一编号。
        /// </summary>
        [Column(Name = "function_id", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [StringLength(20)]
        [DisplayName("交易号")]
        public string function_id { get; set; }

        /// <summary>
        /// 入参类型
        /// 类型：string, 长度：70, 不允许为空
        /// 备注：aac001电脑号；aac002社会保障号码；bka100社保卡号；aaz218就医登记号。
        /// </summary>
        [Column(Name = "bka895", Storage = null, DbType = "VarChar(70)", CanBeNull = false)]
        [StringLength(70)]
        [DisplayName("入参类型")]
        public string bka895 { get; set; }

        /// <summary>
        /// 入参值
        /// 类型：string, 长度：70, 不允许为空
        /// 备注：与入参类型对应的值。
        /// </summary>
        [Column(Name = "bka896", Storage = null, DbType = "VarChar(70)", CanBeNull = false)]
        [StringLength(70)]
        [DisplayName("入参值")]
        public string bka896 { get; set; }

        /// <summary>
        /// 医疗机构编码
        /// 类型：string, 长度：20, 不允许为空
        /// 备注：标识医疗机构的唯一编号。
        /// </summary>
        [Column(Name = "akb020", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [StringLength(20)]
        [DisplayName("医疗机构编码")]
        public string akb020 { get; set; }

        /// <summary>
        /// 医疗待遇类型
        /// 类型：string, 长度：6, 不允许为空
        /// 备注：见码表。
        /// </summary>
        [Column(Name = "bka006", Storage = null, DbType = "VarChar(6)", CanBeNull = false)]
        [StringLength(6)]
        [DisplayName("医疗待遇类型")]
        public string bka006 { get; set; }
    }

    class GetBusinessInfoOfChargeOutput : EntityBase
    {
        public List<BizInfo> bizInfo;
    }


}
