﻿using System.Collections.Generic;
using System.ComponentModel;
using System.ComponentModel.DataAnnotations;
using System.Data.Linq.Mapping;
using PTMIBase.Entity;


namespace DongGuanWI.Entity.Outpatient
{
    class UploadFeeAndSettlementInput:EntityBase
    {
        /// <summary>
        /// 交易号
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "function_id", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "交易号不能为空")]
        [StringLength(20, ErrorMessage = "交易号长度不能超过20个字符")]
        public string function_id { get; set; }

        /// <summary>
        /// 医疗机构编码
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "akb020", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "医疗机构编码不能为空")]
        [StringLength(20, ErrorMessage = "医疗机构编码长度不能超过20个字符")]
        public string akb020 { get; set; }

        /// <summary>
        /// 就医登记号
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "aaz218", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "就医登记号不能为空")]
        [StringLength(20, ErrorMessage = "就医登记号长度不能超过20个字符")]
        public string aaz218 { get; set; }

        /// <summary>
        /// 工号
        /// 类型：string, 长度：10, 不允许为空
        /// </summary>
        [Column(Name = "bka014", Storage = null, DbType = "VarChar(10)", CanBeNull = false)]
        [Required(ErrorMessage = "工号不能为空")]
        [StringLength(10, ErrorMessage = "工号长度不能超过10个字符")]
        public string bka014 { get; set; }

        /// <summary>
        /// 工号姓名
        /// 类型：string, 长度：20, 不允许为空
        /// </summary>
        [Column(Name = "bka015", Storage = null, DbType = "VarChar(20)", CanBeNull = false)]
        [Required(ErrorMessage = "工号姓名不能为空")]
        [StringLength(20, ErrorMessage = "工号姓名长度不能超过20个字符")]
        public string bka015 { get; set; }

        /// <summary>
        /// 结算标识
        /// 类型：string, 长度：1, 不允许为空
        /// 备注：0费用试算、1结算收费
        /// </summary>
        [Column(Name = "bka893", Storage = null, DbType = "VarChar(1)", CanBeNull = false)]
        [Required(ErrorMessage = "结算标识不能为空")]
        [StringLength(1, ErrorMessage = "结算标识长度必须为1个字符")]
        public string bka893 { get; set; }

        public List<FeeInfoInput> feeInfoInput;
    }


    class UploadFeeAndSettlementOutput : EntityBase
    {
        public List<PayInfo> payInfo;
    }
}
