﻿using Newtonsoft.Json.Linq;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.Common
{
    public interface IInparam
    {
        /*
         *  //HIS 传给接口的入参，分层
            protected JObject joInParam;
            protected JArray jaSession;
            protected JArray jaParams;
            protected JObject joParam;
            protected JObject joInterface;
            protected JObject joInsuAdmObj;
         * */
        /// <summary>
        /// 完整入参
        /// </summary>
        JObject InParam { get; set; }

        /// <summary>
        /// Session 数组
        /// </summary>
        JArray Session { get; set; }

        /// <summary>
        /// Param数组
        /// </summary>
        JArray Params { get; set; }

        /// <summary>
        /// Params里第一条Param
        /// </summary>
        JObject Param { get; set; }

        /// <summary>
        /// 接口信息集合
        /// </summary>
        JObject InterfaceInfo { get; set; }

        /// <summary>
        /// 患者信息(HIS传过来) 集合
        /// </summary>
        JObject InsuAdmObj { get; set; }

    }
}
