﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.HIS
{
    /// <summary>
	/// HIS传过来的当前用户的相关信息
	/// </summary>
	public interface IUser
    {
		/// <summary>
		/// User表后台的ID
		/// </summary>
		string ID { get; set; }

		/// <summary>
		/// Code 登录编号
		/// </summary>
		string Code { get; set; }

		/// <summary>
		/// 姓名
		/// </summary>
		string Name { get; set; }

        /// <summary>
		/// 类型,中心需要，区分是否为人工窗口，自助机等等
		/// </summary>
		string Type { get; set; }

        /// <summary>
		/// 部门ID
		/// </summary>
		string LocID { get; set; }

        /// <summary>
		/// 部门名称
		/// </summary>
		string LocDesc { get; set; }

		/// <summary>
		/// 组ID
		/// </summary>
		string GroupID { get; set; }

		/// <summary>
		/// 组名称
		/// </summary>
		string GroupDesc { get; set; }

		/// <summary>
		/// 医院表的ID，例如：46
		/// </summary>
		string HospID { get; set; }

		/// <summary>
		/// 医院编码 ，例如H17
		/// </summary>
		string HospCode { get; set; }

		/// <summary>
		/// 医院名称，例如：天津河西普瑞眼科医院
		/// </summary>
		string HospDesc { get; set; }


	}
}
