﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Entity.Interfaces.InsuInfo
{
    /// <summary>
    /// 中心返回多条参保信息和身份信息，该接口存储收款员选择的本次就诊的某条参保信息和身份信息
    /// </summary>
    public interface ICurrentInsuInfo
    {

        /// <summary>
        /// 余额
        /// </summary>
         decimal Balc { get; set; }

        /// <summary>
        /// 险种类型
        /// </summary>
         string Insutype { get; set; }

        /// <summary>
        /// 人员类别
        /// </summary>
         string PsnType { get; set; }

        /// <summary>
        /// 人员参保状态
        /// </summary>
         string PsnInsuStas { get; set; }

        /// <summary>
        /// 人员参保日期
        /// </summary>
         DateTime PsnInsuDate { get; set; }

        /// <summary>
        /// 暂停参保日期
        /// </summary>
         DateTime PausInsuDate { get; set; }

        /// <summary>
        /// 公务员标志
        /// </summary>
         string Cvlservflag { get; set; }

        /// <summary>
        /// 人员参保区划
        /// </summary>
         string InsuplcAdmdvs { get; set; }

        /// <summary>
        /// 单位名称
        /// </summary>
         string EmpName { get; set; }

        /// <summary>
        /// 人员身份类别
        /// </summary>
         string PsnIdettype { get; set; }

        /// <summary>
        /// 人员类别等级
        /// </summary>
         string PsnTypeLv { get; set; }

        /// <summary>
        /// 人员身份开始时间
        /// </summary>
         DateTime IdetBegntime { get; set; }

        /// <summary>
        /// 人员身份结束时间
        /// </summary>
         DateTime IdetEndtime { get; set; }
    }
}
