﻿using PTMIBase.Extensions.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace PTMIBase.Entity.MIDatatable
{
    class PatFullInsuInfo
    {
        /// <summary>
        /// 医院编号 指向医院表
        /// </summary>
        [IrisColumn(Name = "HospitalDr", Desc = "医院编号", DbType = "Int", SqlFieldName = "Hospital_Dr", Order = 2, CanBeNull = false)]
        [Required(ErrorMessage = "医院编号不能为空")]
        public int HospitalDr { get; set; }

        /// <summary>
        /// 接口编号 指向接口表
        /// </summary>
        [IrisColumn(Name = "InterfaceDr", Desc = "接口编号", DbType = "Int", SqlFieldName = "Interface_Dr", Order = 3, CanBeNull = false)]
        [Required(ErrorMessage = "接口编号不能为空")]
        public int InterfaceDr { get; set; }

        /// <summary>
        /// 患者医院ID
        /// </summary>
        [IrisColumn(Name = "AdmID", Desc = "患者医院ID", DbType = "Varchar(50)", SqlFieldName = "AdmID", Order = 4, CanBeNull = false)]
        [Required(ErrorMessage = "患者医院ID不能为空")]
        [StringLength(50, ErrorMessage = "患者医院ID长度不能超过50个字符")]
        public string AdmID { get; set; }

        /// <summary>
        /// 发生时间
        /// </summary>
        [IrisColumn(Name = "OccurTime", Desc = "发生时间", DbType = "DateTime", SqlFieldName = "OccurTime", Order = 5, CanBeNull = false)]
        [Required(ErrorMessage = "发生时间不能为空")]
        public DateTime OccurTime { get; set; }

        /// <summary>
        /// 中心返回的患者全部参保信息
        /// </summary>
        [IrisColumn(Name = "FullInfo", Desc = "中心返回的患者全部参保信息", DbType = "Text", SqlFieldName = "FullInfo", Order = 6, CanBeNull = true)]
        public string FullInfo { get; set; }
    }
}
