﻿using PTMIBase.Extensions.Attributes;
using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;

namespace PTMIBase.Entity.MIDatatable
{
    class SettlementSublist
    {
        /// <summary>
        /// 医院编号 指向医院表
        /// </summary>
        [IrisColumn(Name = "HospitalDr", Desc = "医院编号", DbType = "Int", SqlFieldName = "Hospital_Dr", Order = 2, CanBeNull = false)]
        [Required(ErrorMessage = "医院编号不能为空")]
        public int HospitalDr { get; set; }

        /// <summary>
        /// 接口编号 指向接口表
        /// </summary>
        [IrisColumn(Name = "InterfaceDr", Desc = "接口编号", DbType = "Int", SqlFieldName = "Interface_Dr", Order = 3, CanBeNull = false)]
        [Required(ErrorMessage = "接口编号不能为空")]
        public int InterfaceDr { get; set; }

        /// <summary>
        /// 病人ID 指向患者信息表
        /// </summary>
        [IrisColumn(Name = "AdmDr", Desc = "病人ID", DbType = "Varchar(50)", SqlFieldName = "Adm_Dr", Order = 4, CanBeNull = false)]
        [Required(ErrorMessage = "病人ID不能为空")]
        [StringLength(50, ErrorMessage = "病人ID长度不能超过50个字符")]
        public string AdmDr { get; set; }

        /// <summary>
        /// 结算ID
        /// </summary>
        [IrisColumn(Name = "SettlementID", Desc = "结算ID", DbType = "Varchar(50)", SqlFieldName = "SettlementID", Order = 5, CanBeNull = false)]
        [Required(ErrorMessage = "结算ID不能为空")]
        [StringLength(50, ErrorMessage = "结算ID长度不能超过50个字符")]
        public string SettlementID { get; set; }

        /// <summary>
        /// 类型
        /// </summary>
        [IrisColumn(Name = "Type", Desc = "类型", DbType = "Varchar(50)", SqlFieldName = "Type", Order = 6, CanBeNull = true)]
        [StringLength(50, ErrorMessage = "类型长度不能超过50个字符")]
        public string Type { get; set; }

        /// <summary>
        /// 字段名称
        /// </summary>
        [IrisColumn(Name = "Name", Desc = "字段名称", DbType = "Varchar(50)", SqlFieldName = "Name", Order = 7, CanBeNull = false)]
        [Required(ErrorMessage = "字段名称不能为空")]
        [StringLength(50, ErrorMessage = "字段名称长度不能超过50个字符")]
        public string Name { get; set; }

        /// <summary>
        /// 字段值
        /// </summary>
        [IrisColumn(Name = "Value", Desc = "字段值", DbType = "Varchar(50)", SqlFieldName = "Value", Order = 8, CanBeNull = true)]
        [StringLength(50, ErrorMessage = "字段值长度不能超过50个字符")]
        public string Value { get; set; }
    }
}
