﻿using System;
using System.Collections.Generic;
using System.Data.Linq.Mapping;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.Extensions.Attributes
{
    class IrisColumnAttribute: Attribute
    {
        //
        // 摘要:
        //     获取或设置数据库列的类型。
        //
        // 返回结果:
        //     字符串值，该值指定 TRANSACT-SQL 表声明中定义的列的确切文本。
        public string DbType { get; set; }

        //
        // 摘要:
        //     获取或设置一个值，该值指示该类成员是否表示作为表的整个主键或部分主键的列。
        //
        // 返回结果:
        //     默认值 = false。
        public bool IsPrimaryKey { get; set; }

        //
        // 摘要:
        //     获取或设置一个值，该值指示列是否可包含 null 值。
        //
        // 返回结果:
        //     默认值 = true。
        public bool CanBeNull { get; set; }

        //获取序号
        public int Order { get; set; }
        //
        // 摘要:
        //     获取或设置列名称。
        //
        // 返回结果:
        //     名称。
        public string Name { get; set; }

        //
        // 摘要:
        //     该字段的中文描述。
        //
        // 返回结果:
        //     描述。
        public string Desc { get; set; }
        //
        // 摘要:
        //     获取或设置私有存储字段以保存列中的值。
        //
        // 返回结果:
        //     IRIS 里用SQL查询时返回字段的名称。
        public string SqlFieldName { get; set; }
    }
}
