﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMIBase.MIForm
{
    public partial class BaseForm : Form
    {
        protected Form mainForm;
        protected string err;
        //protected GRIDVIEWS grdSetter = new GridViewSetter();

        // 定义公共事件
        public event EventHandler ExitClicked;
        public BaseForm()
        {
            InitializeComponent();
        }

        public BaseForm(Form frm)
        {
            InitializeComponent();
            InitForm(frm);
        }
        public void InitForm(Form frm)
        {

            mainForm = frm;
            CheckForIllegalCrossThreadCalls = false;
            // 禁用关闭按钮
            this.FormBorderStyle = FormBorderStyle.None;

            // 隐藏标题栏
            this.ControlBox = false;

            // 其他可能需要的配置
            if (mainForm != this)
            {
                this.TopLevel = false;
                this.Dock = DockStyle.Fill; // 根据需要设置 Dock 属性
            }
            else
            {
                this.WindowState = FormWindowState.Maximized;
            }

        }

        public void AddForm(TabPage tabpage, Form frm)
        {
            tabpage.Controls.Add(frm);
            frm.Show();
        }
    }
}
