﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Data.SqlTypes;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;
using Newtonsoft.Json.Linq;


namespace PTMIBase.MIForm.BaseLine.ChooseCard
{
    public partial class BaseChooseCard : BaseForm
    {
        private string _mdtrtCertType;
        private string _insuPlcAdmDiv;
        private string _IDNumber;
        private string _cardLevel;
        private string _passWord;
        private string _patName;
        private string _magCardNumber;
        private string _qrCodeChannel;
        private string _businessType;

        /// <summary>
        ///就诊凭证类型
        /// </summary>
        public string MdtrtCertType { get => _mdtrtCertType; set => _mdtrtCertType = value; }
        /// <summary>
        /// 参保地
        /// </summary>
        public string InsuPlcAdmDiv { get => _insuPlcAdmDiv; set => _insuPlcAdmDiv = value; }
        /// <summary>
        /// 身份证号码
        /// </summary>
        public string IDNumber { 
            get => _IDNumber;
            set 
            {
                _IDNumber = value;
                this.tbID.Text = value;
            }
        }
        /// <summary>
        /// 卡等级
        /// </summary>
        public string CardLevel { get => _cardLevel; set => _cardLevel = value; }
        /// <summary>
        /// 密码
        /// </summary>
        public string PassWord { get => _passWord; set => _passWord = value; }
        /// <summary>
        /// 名称
        /// </summary>
        public string PatName { get => _patName; set => _patName = value; }
        /// <summary>
        /// 磁条卡
        /// </summary>
        public string MagCardNumber { get => _magCardNumber; set => _magCardNumber = value; }
        /// <summary>
        /// 二维码渠道
        /// </summary>
        public string QrCodeChannel { get => _qrCodeChannel; set => _qrCodeChannel = value; }
        /// <summary>
        /// 业务类型
        /// </summary>
        public string BusinessType { get => _businessType; set => _businessType = value; }
        /// <summary>
        /// 身份证标签文字
        /// </summary>
        public string LabelIDNumberText
        {
            set
            {
                this.lblNo.Text = value;
            }
        }


        //事件委托
        /// <summary>
        /// 卡类型值切换事件
        /// </summary>
        public event EventHandler CardType_ValueChangedEventHandler;
        /// <summary>
        /// 参保地选择事件
        /// </summary>
        public event EventHandler InsuPlcAdmDiv_DoEnterEventHandler;
        /// <summary>
        /// 业务类型选择事件
        /// </summary>
        public event EventHandler BusinessType_SelectedValueChangedEventHandler;
        /// <summary>
        /// 卡类型选择事件
        /// </summary>
        public event EventHandler CardType_SelectedValueChangedEventHandler;
        /// <summary>
        /// 卡级别选择事件
        /// </summary>
        public event EventHandler CardLevel_SelectedValueChangedEventHandler;
        /// <summary>
        /// 二维码选择事件
        /// </summary>
        public event EventHandler QrCodeChannel_SelectedValueChangedEventHandler;


        //控件状态类的方法
        public void SetIDFocused()
        {
            this.tbID.Focus();
        }

        public void SetBusinessTypeEnabled(bool _state)
        {
            this.cbBusinessType.Enabled = _state;
        }

        public BaseChooseCard()
        {
            InitializeComponent();
            this.StartPosition = FormStartPosition.CenterParent;
        }

        private void btOk_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.OK;
        }

        private void btCancle_Click(object sender, EventArgs e)
        {
            DialogResult = DialogResult.Cancel;
            this.Close();
        }

        private void cbBusinessType_SelectedValueChanged(object sender, EventArgs e)
        {
            BusinessType_SelectedValueChangedEventHandler?.Invoke(sender,e);
        }

        private void tbInsuPlcAdmDiv_DoEnter(object sender, EventArgs e)
        {
            InsuPlcAdmDiv_DoEnterEventHandler?.Invoke(sender,e);
        }

        private void cbCardType_SelectedIndexChanged(object sender, EventArgs e)
        {
            CardType_SelectedValueChangedEventHandler?.Invoke(sender, e);
        }

        private void cbCardLevel_SelectedIndexChanged(object sender, EventArgs e)
        {
            CardLevel_SelectedValueChangedEventHandler?.Invoke(sender, e);
        }

        private void cbQrCodeChannel_SelectedIndexChanged(object sender, EventArgs e)
        {
            QrCodeChannel_SelectedValueChangedEventHandler?.Invoke(sender, e);
        }

        private void rbgCardType_ValueChanged(object sender, int index, string text)
        {

        }
    }
}
