﻿using PTMIBase.Globals;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PTMIBase.MIForm.BaseLine.ChooseCard
{
    /// <summary>
    ///基于基线版 对ChooseCard的行为状态的管理，可继承该类进行修改
    /// </summary>
    public class BaseChooseCardManager
    {
        private BaseChooseCard frm;
        public BaseChooseCardManager(BaseChooseCard _frm)
        {
            frm = _frm;
        }
        public void Init()
        {
            frm.CardType_ValueChangedEventHandler += (sender, e) => CardTypeValueChanged();
        }

        /// <summary>
        /// 卡类型的值改变后，相应的选项框
        /// </summary>
        private void CardTypeValueChanged()
        {
            if (frm.rbgCardType.SelectedIndex == 0)
            {
                // 电子凭证
                frm.SetBusinessTypeEnabled(true);
                frm.LabelIDNumberText = "电子凭证号";
                frm.IDNumber = "";
                frm.SetIDFocused();
            }
            else
            {
                frm.LabelIDNumberText = "身份证号";
                frm.SetBusinessTypeEnabled(false);
                frm.IDNumber = "";
            }

            if (frm.rbgCardType.SelectedIndex == 2)
            {
                frm.cbCardType.SelectedIndex = 0;
                frm.cbCardLevel.SelectedIndex = 2;
                frm.cbCardType.Enabled = true;
                frm.tbPassword.Enabled = true;
                //tbPassword.Text = "";

            }
            else
            {
                frm.cbCardType.Enabled = false;
                frm.tbPassword.Enabled = false;

            }

        }
    }
}
