﻿using PTMIBase.Globals;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace PTMIBase.MIForm
{
    public partial class DebugBaseForm : BaseForm
    {
        public DebugBaseForm()
        {
            InitializeComponent();
        }

        public DebugBaseForm(Form frm):base(frm)
        {
            InitializeComponent();
            InitForm(frm);
        }
        private void btExit_Click(object sender, EventArgs e)
        {
            mainForm.Close();
        }

        private void btExample_Click(object sender, EventArgs e)
        {
            rtbInpar.Text = LoadJosnFileToRtbInpar();
        }

        private  string LoadJosnFileToRtbInpar()
        {
            string filePath = $@"{GlobalVariables.curEvt.Path}/Json/{GetJsonFileName()}";
            return File.ReadAllText(filePath);
        }
        private string GetJsonFileName()
        {
            return $"{cbBusinessType.SelectedValue}-{cbSubBusiness.SelectedValue}.json";
        }

        private void SaveExample()
        {
            if (MessageBox.Show($"该操作将覆盖{ GetJsonFileName()}内容，是否继续？", "示例保存", MessageBoxButtons.YesNo, MessageBoxIcon.Question) != DialogResult.Yes)
            {
                return;
            }

            string path = $@"{GlobalVariables.curEvt.Path}/Json";
            if (!Directory.Exists(path))
            {
                //创建文件夹
                DirectoryInfo dirInfo = Directory.CreateDirectory(path);
            }

            try
            {
                FileStream fs = new FileStream($@"{GlobalVariables.curEvt.Path}/Json/{GetJsonFileName()}", FileMode.Create, FileAccess.Write);
                StreamWriter sw = new StreamWriter(fs);
                sw.WriteLine(rtbInpar.Text);
                sw.Close();
                fs.Close();
                MessageBox.Show("保存成功");
            }
            catch (Exception ex)
            {

                throw ex;
            }

        }

        private void btSaveExample_Click(object sender, EventArgs e)
        {
            SaveExample();
        }
    }
}
